#!/bin/csh

if ( $?_HPX_SEEN_CORE_INIT ) then
	exit
endif
set _HPX_SEEN_CORE_INIT=1

### OBSOLETE ### set HPXB_CAT=/bin/cat
### OBSOLETE ### set HPXB_DATE=/bin/date
### OBSOLETE ### set HPXB_GREP=/bin/grep
### OBSOLETE ### set HPXB_MKDIR=/bin/mkdir
### OBSOLETE ### set HPXB_SED=/bin/sed
### OBSOLETE ### set HPXB_SLEEP=/bin/sleep
### OBSOLETE ### set HPXB_TEST=/usr/bin/test

### OBSOLETE ### set HPXB_CUT=/usr/bin/cut
### OBSOLETE ### set HPXB_EXPR=/usr/bin/expr
### OBSOLETE ### set HPXB_ID=/usr/bin/id

### OBSOLETE ### set HPXB_ALIFETIME=/usr/bin/alifetime
### OBSOLETE ### if ( ! -x $HPXB_ALIFETIME ) then
### OBSOLETE ###         set HPXB_ALIFETIME=/afs/usr/local/bin/alifetime
### OBSOLETE ### endif

# Internal HEPiX variables.
set HPX_INIT=""		# See end of this file.
### OBSOLETE ### set HPX_NONE=__NONE__
set HPX_HEPIX=""		# See hpx_is_hepix().
### OBSOLETE ### set HPX_ROOT=""			# See later.
### OBSOLETE ### set HPX_LOW_UID=""		# See later.
set HPX_AFS_HOME=""		# See later.
set HPX_UMASK=0022
set HPX_HOME=/etc/hepix/csh	# Legacy code was in /usr/local/lib/hepix/.
set HPX_HOME_CORE=$HPX_HOME/CORE
set HPX_HOME_HEP=$HPX_HOME/HEP
### OBSOLETE ### set HPX_HOME_SITE=$HPX_HOME/SITE
set HPX_SYSTEM_HOME=/etc/hepix	# legacy
### OBSOLETE ### set HPX_EXLIST=$HPX_SYSTEM_HOME/list-

# Determine user HEPiX home directory.
if ( $?HOME ) then
	if ( -d $HOME/.hepix ) then
		set HPX_USER_HOME=$HOME/.hepix
	else
		set HPX_USER_HOME=""
	endif
endif

# HEPiX off-button.
if ( "x$?HPX_USER_HOME" != x ) then
	if ( -r $HPX_USER_HOME/off ) then
		set HPX_HEPIX=OFF
	endif
endif

# Determine verbosity level.
if ( "x$?HPX_USER_HOME" != x ) then
	if ( -r $HPX_USER_HOME/verbose-level ) then
		### OBSOLETE ### set HPX_VERBOSE=`$HPXB_CAT $HPX_USER_HOME/verbose-level`
		set HPX_VERBOSE=`/bin/cat $HPX_USER_HOME/verbose-level`
	else
		set HPX_VERBOSE=0
	endif
endif

# Determine debug level.
if ( "x$?HPX_USER_HOME" != x ) then
	if ( -r $HPX_USER_HOME/debug-level ) then
		### OBSOLETE ### set HPX_DEBUG=`$HPXB_CAT $HPX_USER_HOME/debug-level`
		set HPX_DEBUG=`/bin/cat $HPX_USER_HOME/debug-level`
	else
		set HPX_DEBUG=0
	endif
endif

### OBSOLETE ### # Internal HEPiX variables set later
### OBSOLETE ### # HPX_SHELL
### OBSOLETE ### ### OBSOLETE ### # HPX_UID

### OBSOLETE ### # Determine running shell.
### OBSOLETE ### set HPX_SHELL=csh
### OBSOLETE ### if ( $?tcsh ) then
### OBSOLETE ### 	set HPX_SHELL=tcsh
### OBSOLETE ### endif

### OBSOLETE ### # Determine current user.
### OBSOLETE ### if ( $USER == root ) then
### OBSOLETE ### 	set HPX_ROOT=YES
### OBSOLETE ### endif

### OBSOLETE ### # Determine current UID.
### OBSOLETE ### if ( $?uid ) then
### OBSOLETE ### 	set HPX_UID=$uid
### OBSOLETE ### endif
### OBSOLETE ### if ( ! $?HPX_UID ) then
### OBSOLETE ### 	set HPX_UID=`$HPXB_ID -u`
### OBSOLETE ### 	### OBSOLETE ### set HPX_UID=`$HPXB_ID | $HPXB_SED -n 's/^uid=\([0-9]\{1,\}\).*$/\1/p'`
### OBSOLETE ### endif
### OBSOLETE ### if ( $HPX_UID < 100 ) then
### OBSOLETE ### 	set HPX_LOW_UID=YES
### OBSOLETE ### endif
### OBSOLETE ### unset HPX_UID

# Determine if user's $HOME is on AFS.
echo $HOME | /bin/grep '^\/afs\/' > /dev/null
if ( $status == 0 ) then
	set HPX_AFS_HOME=YES
endif
	
# This is a Hack(tm), but a smart one nevertheless.  We are emulating shell
# functions (that are missing in csh(1) and derivatives) by using alias and
# script combinations.

alias hpx_is_hepix	"source $HPX_HOME_CORE/hpx_is_hepix.csh "
alias hpx_source 	"source $HPX_HOME_CORE/hpx_source.csh "
alias hpx_echo		"source $HPX_HOME_CORE/hpx_echo.csh "
alias hpx_debug		"source $HPX_HOME_CORE/hpx_debug.csh "

### OBSOLETE ### set _HPX_SOURCE_CMD=csh
### OBSOLETE ### ### OBSOLETE ### if ( $HPX_SHELL == tcsh ) then
### OBSOLETE ### if ( $SHELL == /bin/tcsh ) then
### OBSOLETE ### 	set _HPX_SOURCE_CMD=source
### OBSOLETE ### endif
### OBSOLETE ### alias hpx_is_hepix	"$_HPX_SOURCE_CMD $HPX_HOME_CORE/hpx_is_hepix.csh "
### OBSOLETE ### if ( $_HPX_SOURCE_CMD == csh ) then
### OBSOLETE ### 	# We have to make a compromise and not have the debugging
### OBSOLETE ### 	# facilities of hpx_source.csh, since everything done in a subshell
### OBSOLETE ### 	# will be lost when the shell it runs under exits.  In other words,
### OBSOLETE ### 	# we can't modify our environment with subshells, so hpx_source()
### OBSOLETE ### 	# is directly aliased to csh(1) source command.
### OBSOLETE ### 	alias hpx_source	'if ( -r \!* ) source \!* '
### OBSOLETE ### else
### OBSOLETE ### 	alias hpx_source 	"$_HPX_SOURCE_CMD $HPX_HOME_CORE/hpx_source.csh "
### OBSOLETE ### endif
### OBSOLETE ### alias hpx_echo		"$_HPX_SOURCE_CMD $HPX_HOME_CORE/hpx_echo.csh "
### OBSOLETE ### alias hpx_debug		"$_HPX_SOURCE_CMD $HPX_HOME_CORE/hpx_debug.csh "

set HPX_INIT=YES

hpx_debug "csh flavour init done"

# End of file.
