#!/bin/sh

[ -n "$_HPX_SEEN_CORE_INIT" ] && return
_HPX_SEEN_CORE_INIT=1

# Binaries used by HEPiX.
### OBSOLETE ### HPXB_CAT=/bin/cat
### OBSOLETE ### HPXB_DATE=/bin/date
### OBSOLETE ### HPXB_EGREP=/bin/egrep
### OBSOLETE ### HPXB_GREP=/bin/grep
### OBSOLETE ### HPXB_MKDIR=/bin/mkdir
### OBSOLETE ### HPXB_SED=/bin/sed
### OBSOLETE ### HPXB_SLEEP=/bin/sleep

### OBSOLETE ### HPXB_CUT=/usr/bin/cut
### OBSOLETE ### HPXB_EXPR=/usr/bin/expr
### OBSOLETE ### HPXB_ID=/usr/bin/id

### OBSOLETE ### HPXB_ALIFETIME=/usr/bin/alifetime
### OBSOLETE ### [ ! -x $HPXB_ALIFETIME ] && HPXB_ALIFETIME=/afs/usr/local/bin/alifetime

# Internal HEPiX variables.
HPX_INIT=""		# See end of this file.
### OBSOLETE ### HPX_NONE=__NONE__
HPX_HEPIX=""		# See hpx_is_hepix().
### OBSOLETE ### HPX_ROOT=""		# See later.
### OBSOLETE ### HPX_LOW_UID=""		# See later.
HPX_AFS_HOME=""		# See later.
HPX_UMASK=0022
HPX_HOME=/etc/hepix/sh	# Legacy code was in /usr/local/lib/hepix/.
HPX_HOME_CORE=$HPX_HOME/CORE
HPX_HOME_HEP=$HPX_HOME/HEP
### OBSOLETE ### HPX_HOME_SITE=$HPX_HOME/SITE
HPX_SYSTEM_HOME=/etc/hepix	# legacy
### OBSOLETE ### HPX_EXLIST=$HPX_SYSTEM_HOME/list-

# Determine user HEPiX home directory.
[ -n "$HOME" -a -d "$HOME/.hepix" ] \
	&& HPX_USER_HOME=$HOME/.hepix \
	|| HPX_USER_HOME=""

# HEPiX off-button.
if [ -n "$HPX_USER_HOME" -a -r "${HPX_USER_HOME}/off" ]; then
	HPX_HEPIX=OFF
fi

# Determine verbosity level.
[ -n "$HPX_USER_HOME" -a -r "$HPX_USER_HOME/verbose-level" ] \
	&& HPX_VERBOSE=`/bin/cat $HPX_USER_HOME/verbose-level` \
	|| HPX_VERBOSE=0

# Determine debug level.
[ -n "$HPX_USER_HOME" -a -r "$HPX_USER_HOME/debug-level" ] \
	&& HPX_DEBUG=`/bin/cat $HPX_USER_HOME/debug-level` \
	|| HPX_DEBUG=0

### OBSOLETE ### # Internal HEPiX variables set later
### OBSOLETE ### # HPX_SHELL
### OBSOLETE ### ### OBSOLETE ### # HPX_UID

### OBSOLETE ### # Determine running shell.
### OBSOLETE ### HPX_SHELL=sh
### OBSOLETE ### [ -n "$FCEDIT" ] && HPX_SHELL=ksh
### OBSOLETE ### [ -n "$BASH_VERSION" ] && HPX_SHELL=bash
### OBSOLETE ### [ -n "$ZSH_VERSION" ] && HPX_SHELL=zsh

### OBSOLETE ### # Determine current user.
### OBSOLETE ### [ "$USER" = "root" ] && HPX_ROOT=YES

### OBSOLETE ### # Determine current UID.
### OBSOLETE ### HPX_UID="$UID"
### OBSOLETE ### ### OBSOLETE ### [ -z "$UID" ] && HPX_UID=`/usr/bin/id | $HPXB_SED -n 's/^uid=\([0-9]\{1,\}\).*$/\1/p'`
### OBSOLETE ### [ -z "$UID" ] && HPX_UID=`/usr/bin/id -u`
### OBSOLETE ### [ $HPX_UID -lt 100 ] && HPX_LOW_UID=YES
### OBSOLETE ### unset HPX_UID

# Determine if user's $HOME is on AFS.
echo $HOME | /bin/grep '^\/afs\/' > /dev/null && HPX_AFS_HOME=YES 

# Determine whether HEPiX is to be run.
hpx_is_hepix () {
	[ "$HPX_HEPIX" = OFF ] && return 1
	[ "$HPX_HEPIX" = YES ] && return 1
	[ "$USER" = "root" ] && return 1
	### OBSOLETE ### [ "$HPX_ROOT" = YES ] && return 1
        [ $UID -lt 100 ] && return 1
	### OBSOLETE ### [ "$HPX_LOW_UID" = YES ] && return 1
	### OBSOLETE ### [ -r $HPX_EXLIST ] \
	### OBSOLETE ### 	&& /bin/grep $USER $HPX_EXLIST 2>/dev/null >/dev/null \
	### OBSOLETE ### 	&& return 1
	HPX_HEPIX=YES
	return
}

hpx_source () {
	[ -z "$1" ] && return
	[ $HPX_VERBOSE -ge 13 ] && hpx_echo "N: CHECK $1"
	[ -r "$1" ] || return
	[ $HPX_VERBOSE -ge 11 ] && hpx_echo "N: -> SOURCE $1"
	. $1
	[ $HPX_VERBOSE -ge 12 ] && hpx_echo "N: PROCESSED $1"
}

hpx_echo () {
	[ -z "$1" ] && return
	echo "hepix: ${*}"
}

hpx_debug () {
	[ -z "$1" ] && return
	[ $HPX_DEBUG = 0 ] && return
	HPX_DATE=`/bin/date +'%Y-%m-%d %T'`
	hpx_echo "D: ${HPX_DATE} ${USER} "${SHELL}"["$$"] ("${SHLVL}"): ${*}"
	### OBSOLETE ### hpx_echo "D: ${HPX_DATE} ${USER} "${HPX_SHELL}"["$$"] ("${SHLVL}"): ${*}"
        unset HPX_DATE
}

HPX_INIT=YES

hpx_debug "sh flavour init done"

# End of file.
